<div class="content-heading">
  <div>Cadastrar Administrador</div>
</div>


<div class="row">
  <div class="col-md-12">
    <form #form="ngForm" validate>

      <panel>

        <div class="row">

          <div class="col-md-8">
            <div class="form-group">
              <label>Razão Social:</label>
              <input type="text"  [(ngModel)]="entidade.nome" disabled maxlength="255" id="nome" name="nome" class="form-control"/>
            </div>
          </div>

          <div class="col-md-4">
            <div class="form-group">
              <label>E-mail SAP:</label>
              <input type="text"  [(ngModel)]="entidade.emailSAP" disabled maxlength="255" id="emailSAP" name="emailSAP" class="form-control"/>
            </div>
          </div>

        </div>


        <div class="row">

          <div class="col-md-4">
            <div class="form-group">
              <label>CNPJ:</label>
              <input type="text"  [ngModel]="entidade.cnpj | cnpjPipe" disabled maxlength="255" onpaste='formatCnpj(this,cnpj)' id="cnpj" name="cnpj" class="form-control"/>
            </div>
          </div>

          <div class="col-md-4">
            <div class="form-group">
              <label>Inscrição Estadual:</label>
              <input type="text"  [(ngModel)]="entidade.inscricaoEstadual" disabled maxlength="255" id="inscricaoEstadual" name="inscricaoEstadual" class="form-control"/>
            </div>
          </div>

          <div class="col-md-4">
            <div class="form-group">
              <label>E-mail Portal:<span class="obrigatorio">*</span></label>
              <input type="text" [(ngModel)]="entidade.email"  required maxlength="255" id="email" name="email" class="form-control"/>
            </div>
          </div>

       </div>

        <div class="row">

          <div class="col-md-4">
            <div class="form-group">
              <label>Status:</label>
              <p-dropdown [(ngModel)]="entidade.status"  styleClass="form-control" id="status" name="status"  [options]="status" [(ngModel)]="entidade.status">
                <ng-template let-item pTemplate="selectedItem">
                  <span style="vertical-align:middle">{{item.label}}</span>
                </ng-template>
              </p-dropdown>
            </div>
          </div>

          <div class="col-md-4">
            <div class="form-group">
              <label>Data da Importação:</label>
              <input type="text" [ngModel]="entidade.dataCadastro |date:'short'" disabled maxlength="255" id="dataCadastro" name="dataCadastro" class="form-control"/>
            </div>
          </div>


          <div class="col-md-4">
            <div class="form-group">
              <label>Último acesso:</label>
              <input type="text"  [ngModel]="entidade.dataUltimoAcesso |date:'short'" disabled maxlength="255" id="dataUltimoAcesso" name="dataUltimoAcesso" class="form-control"/>
            </div>
          </div>

        </div>



        <hr/>

        <div class="row">
          <div class="col-md-8"></div>
          <div class="col-md-4">
            <button  class="btn btn-primary button-right" (click)="salvar(form)">Salvar</button>
            <button  class="btn btn-secondary button-right" (click)="voltar()">Cancelar</button>
            <button *ngIf="entidade.id"  pTooltip="A nova senha passará a ser os 6 primeiros dígitos do CNPJ." class="btn btn-primary button-right" (click)="redefinirSenha()" >Redefinir senha</button>
          </div>
        </div>

      </panel>

    </form>
  </div>
</div>
